Package de.gebit.integrity.remoting.transport.messages

## Class IntegrityRemotingVersionMessage

- java.lang.Object
- - de.gebit.integrity.remoting.transport.messages.AbstractMessage
  - - de.gebit.integrity.remoting.transport.messages.IntegrityRemotingVersionMessage

- All Implemented Interfaces:
    `Serializable`

      public class IntegrityRemotingVersionMessage
      extends AbstractMessage

  This message is used to transmit the version of the remoting protocol as well as the software version. It should ideally NEVER be changed (hopefully there's never a need to), because the client and server may use the protocol version to determine if they are compatible at all. This message is always the first one sent from both sides in a communication.
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegrityRemotingVersionMessage()` | The no-arg constructor, primarily used for serialization.
    `IntegrityRemotingVersionMessage​(int aProtocolMajorVersion, int aProtocolMinorVersion, int aMajorVersion, int aMinorVersion, int aPatchVersion, int aBuildVersion)` | Creates a new message instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getBuildVersion()` |
    `int` | `getMajorVersion()` |
    `int` | `getMinorVersion()` |
    `int` | `getPatchVersion()` |
    `int` | `getProtocolMajorVersion()` |
    `int` | `getProtocolMinorVersion()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegrityRemotingVersionMessage

          public IntegrityRemotingVersionMessage​(int aProtocolMajorVersion,
                                                 int aProtocolMinorVersion,
                                                 int aMajorVersion,
                                                 int aMinorVersion,
                                                 int aPatchVersion,
                                                 int aBuildVersion)

      Creates a new message instance.
      Parameters:
        `aProtocolMajorVersion` - the major protocol version number
        `aProtocolMinorVersion` - the minor protocol version number
        `aMajorVersion` - the major software version part
        `aMinorVersion` - the minor software version part
        `aPatchVersion` - the patch software version part
        `aBuildVersion` - the build software version part

    - #### IntegrityRemotingVersionMessage

          public IntegrityRemotingVersionMessage()

      The no-arg constructor, primarily used for serialization.

  - ### Method Detail

    - #### getProtocolMajorVersion

          public int getProtocolMajorVersion()

    - #### getProtocolMinorVersion

          public int getProtocolMinorVersion()

    - #### getMajorVersion

          public int getMajorVersion()

    - #### getMinorVersion

          public int getMinorVersion()

    - #### getPatchVersion

          public int getPatchVersion()

    - #### getBuildVersion

          public int getBuildVersion()